# -*- coding: utf-8 -*-
from odoo import models, fields


class HypergraphLinks(models.Model):
    _name = 'hg.link'
    _description = 'Строка матрицы связности'

    name = fields.Char(string='Имя строки')
    source_id = fields.Many2one(comodel_name='hg.node', string='Источник')
    target_ids = fields.Many2many(comodel_name='hg.node', string='Множество-приемник')
